﻿using System;
using InternshipSystem.Core;

namespace InternshipSystem.Api.Queries.SearchQuery
{
    public class InternshipSearchQuery : SearchQuery
    {
        public Guid? EditionId { get; set; } = null;
        public DocumentState? InternshipState { get; set; } = null;
        public DocumentState? ReportState { get; set; }
        public int? StudentAlbumNumber { get; set; } = null;
        public string StudentFirstName { get; set; } = "";
        public string StudentLastName { get; set; } = "";
        /// <summary>
        /// SortValue: Date, InternshipState
        /// </summary>
        public string OrderByField { get; set; } = "";
        public SortOrder SortOrder { get; set; } = SortOrder.None;

        public DocumentState? DocumentWithState { get; set; }
    }
}